## bmusb-0.7.6-2.src.tar.gz

=== Makefile ===
PKG_CONFIG ?= pkg-config
CXXFLAGS := -std=gnu++14 -O2 -Wall -I. -g $(shell $(PKG_CONFIG) libusb-1.0 --cflags) -pthread
LDFLAGS := $(shell $(PKG_CONFIG) libusb-1.0 --libs) -pthread
AR := ar
LN := ln
RANLIB := ranlib
INSTALL := install
PREFIX := /usr/local
LIBDIR := $(PREFIX)/lib
UDEVDIR ?= $(shell $(PKG_CONFIG) --variable udevdir udev)
UDEVDIR ?= /lib/udev
LIB := libbmusb.a
SODEV := libbmusb.so
SONAME := libbmusb.so.6
SOLIB := libbmusb.so.6.0.2

all: $(LIB) $(SOLIB) main bmusb-v4l2proxy

%.pic.o : %.cpp
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -fPIC -o $@ -c $^

main: bmusb.o main.o
	$(CXX) -o $@ $^ $(LDFLAGS)

bmusb-v4l2proxy: bmusb.o v4l2proxy.o
	$(CXX) -o $@ $^ $(LDFLAGS)

# Static library.
$(LIB): bmusb.o fake_capture.o
	$(AR) rc $@ $^
	$(RANLIB) $@

# Shared library.
$(SOLIB): bmusb.pic.o fake_capture.pic.o
	$(CXX) -shared -Wl,-soname,$(SONAME) -o $@ $^ $(LDFLAGS)

clean:
	$(RM) bmusb.o main.o v4l2proxy.o fake_capture.o bmusb.pic.o fake_capture.pic.o $(LIB) $(SOLIB) main bmusb-v4l2proxy

install: all
	$(INSTALL) -m 755 -o root -g root -d \
		$(DESTDIR)$(LIBDIR) \
		$(DESTDIR)$(LIBDIR)/pkgconfig \
		$(DESTDIR)$(PREFIX)/include/bmusb \
		$(DESTDIR)$(UDEVDIR)/rules.d
	$(INSTALL) -m 755 -o root -g root $(LIB) $(SOLIB) $(DESTDIR)$(LIBDIR)
	$(LN) -sf $(SOLIB) $(DESTDIR)$(LIBDIR)/$(SONAME)
	$(LN) -sf $(SOLIB) $(DESTDIR)$(LIBDIR)/$(SODEV)
	$(INSTALL) -m 755 -o root -g root bmusb/bmusb.h bmusb/fake_capture.h $(DESTDIR)$(PREFIX)/include/bmusb
	$(INSTALL) -m 644 -o root -g root bmusb.pc $(DESTDIR)$(LIBDIR)/pkgconfig
	$(INSTALL) -m 644 -o root -g root 70-bmusb.rules $(DESTDIR)$(UDEVDIR)/rules.d

=== PKGBUILD ===
# Maintainer: Morten Linderud <foxboron@archlinux.org>

pkgname=bmusb
_commit=327dca2d848e4c4656be1bfb54a2edf2e6587a71
pkgver=0.7.6
pkgrel=2
pkgdesc="a free driver for BlackMagic's Intensity Shuttle andUltraStudio SDI USB3 cards"
arch=('x86_64')
url="https://git.sesse.net/?p=bmusb;a=summary"
license=('GPL2')
depends=('libusb')
source=("${pkgname}-${pkgver}.tar.gz::https://git.sesse.net/?p=bmusb;a=snapshot;h=${_commit};sf=tgz")
sha256sums=('1e8e5d8a5c7db103dba74325e72a18a2c60682418a16bac2b3035c6bc034bbc1')

build() {
  cd "${pkgname}"-"${_commit:0:7}"
  make
}

package() {
  cd "${pkgname}"-"${_commit:0:7}"
  make UDEVDIR="/usr/lib/udev" DESTDIR="${pkgdir}" PREFIX="/usr" install
}

# vim:set ts=2 sw=2 et:
